
#ifndef CVSGROUP_INTERNAL_H
#define CVSGROUP_INTERNAL_H 1

struct cvsgroup {
    char *groupname;

    char **users;
    int users_allocated;
    int users_count;
};

int internal_add_user_to_group (char *username, struct cvsgroup *cvsgroup);
int add_user_to_group (char *username, char *groupname);

int internal_user_in_group (char *username, struct cvsgroup *cvsgroup);


struct cvsgroup *create_cvsgroup (char *groupname);

void free_cvsgroup (struct cvsgroup *group);

struct cvsgroup *get_cvsgroup (char *groupname);

void clear_groups(void);

#endif /* CVSGROUP_INTERNAL_H */
