/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   List of user permissions implementation

*/


#ifndef USER_ACL_H
#define USER_ACL_H 1

struct USER_ACL {
    char *username;
    int perm;
    struct USER_ACL *next;
};

typedef struct USER_ACL USER_ACL;

typedef struct USER_ACL USER_ACE;

USER_ACL *
set_user_ace(USER_ACL *acls, char *username, int perm);

USER_ACE *
get_user_ace (USER_ACL *acls, char *username);

#endif /* USER_ACL_H */
