/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   "cvs acl" subcommand manages ACL based on working directory

*/


#ifndef ACL_H
#define ACL_H 1

#include "branch-acl.h"

int acl (int argc, char **argv);
int racl (int argc, char **argv);

int grant_file_permission(char * const dir, char * const branch, char * const filename,
			  branch_permission perm, char *perm_string);

int grant_dir_permission(char * const dir, char * const filename,
			 branch_permission perm, char *perm_string);


#endif
