/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   Routines for authentication against :nserver: 

*/

#include "network-client.h"

#include "client_nserver_auth.h"


int
authenticate_against_nserver (NCLI ncli, int verify_only)
{
#if 0
    char *server_msg = NULL;
    char *user_repos = 0;
    char *password;
    int user_repos_len;

    /* receive greeting */
    recv_line (sock, &server_msg);
    puts(server_msg);
    if ((server_msg[0] == '4') || (server_msg[0] == '5'))
	return 0;

    /* receive "Please enter username@/repository" */
    recv_line (sock, &server_msg);
    puts(server_msg);
    if ((server_msg[0] == '4') || (server_msg[0] == '5'))
	return 0;
    
    user_repos_len = strlen(CVSroot_username) + 1 + 
	strlen(CVSroot_directory) + 2;
    user_repos = xmalloc(user_repos_len);
    
    snprintf(user_repos, user_repos_len, "%s@%s\n", 
	     CVSroot_username, CVSroot_directory);
    
    if (send (sock, user_repos, strlen(user_repos), 0) < 0)
	error (1, 0, "cannot send: %s", SOCK_STRERROR (SOCK_ERRNO));
    
    /* Get "310 Please enter password/e-mail address" */
    recv_line (sock, &server_msg);
    if ((server_msg[0] == '4') || (server_msg[0] == '5'))
    {
	puts(server_msg);
	return 0;
    }

    password = xstrdup(get_cvs_password ());
    
    realloc(password, strlen(password) + 2);
    strcat(password, "\n");
    
    if (send (sock, password, strlen(password), 0) < 0)
	error (1, 0, "cannot send: %s", SOCK_STRERROR (SOCK_ERRNO));
    
    recv_line (sock, &server_msg);
    puts(server_msg);

    if ((server_msg[0] == '4') || (server_msg[0] == '5'))
	return 0;
    
#endif
    return 1;
}

