/* 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  
   
   Copyright (C) Alexey Mahotkin <alexm@hsys.msk.ru> 2000

   Contains common routines for cvs-nserver and cvs-pserver.

*/

#ifndef CVS_SERVER_H
#define CVS_SERVER_H

#include "fd.h"

char *get_buffer (char *buf, int bufsize);

char* strip_trailing_slash (char *repository);

int repository_ok (char *repository, int argc, char *argv[]);

int create_pipe (int pi[2]);

#endif /* CVS_SERVER_H */

