/*
 * You may distribute under the terms of the GNU General Public License as
 * specified in the README file that comes with the CVS source distribution.
 * 
 */

#ifndef ROOT_H
#define ROOT_H

#include "PROTO.h"
#include "cvsroot.h"

char *Name_Root PROTO((char *dir, char *update_dir));
void Create_Root PROTO((char *dir, char *rootdir));

cvsroot_t *parse_cvsroot PROTO((char *CVSroot));
void free_cvsroot_t PROTO((cvsroot_t *root_in));
cvsroot_t *local_cvsroot PROTO((char *dir));

char *normalize_cvsroot PROTO((const cvsroot_t *root));

#endif /* ROOT_H */
