/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   ACL-related repository handling

*/

#ifndef REPOSITORY_H_
#define REPOSITORY_H_ 1

#include "module-acl.h"

struct REPOSITORY {
    char *directory;
    struct MODULE_ACL *first_module;
};

struct REPOSITORY *get_repository (char *directory);
void free_repository (struct REPOSITORY *repos);

struct MODULE_ACL *find_module_acl (struct REPOSITORY *repos, char *module);

int save_module_acl (struct REPOSITORY *repos);


#endif /* REPOSITORY_H_ */
