/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2000

*/

#ifndef CVSPASSWD_FILE_H
#define CVSPASSWD_FILE_H

#include "cvs.h"

enum find_user_action {find_action_error, 
		       find_action_remove, 
		       find_action_return, 
		       find_action_do_none};

char* find_user PROTO((FILE *cvspasswd, 
		       FILE *tmpcvspasswd, 
		       char *username, 
		       enum find_user_action action));

FILE* create_cvspasswd PROTO((char *filename));

#endif 
